Summary: DCF77 radio clock information for LINUX
Name: dcf77time
Version: 19961119
Release: 2
Copyright: GPL
Group: Utilities/System
Source0: dcf77time.tar.gz
Source1: dcf77time.cron
Source2: dcf77time.sysconf
BuildRoot: /var/tmp/dcf77time-root
Vendor: Christian Brunner <chb@muc.de>
Packager: Peter Soos <sp@osb.hu>

%changelog

* Sat Mar 27 1999 Peter Soos <sp@osb.hu>
- Modified cron script to set the hardware clock
- Ability of eliminating the No DCF77-Signal warnings

* Sat Dec 10 1998 Peter Soos <sp@osb.hu>
- Initial version

%description
'dcf77time' reads from a DCF77-Module ('Atom Clock') via a serial port the raw time transmitted at 77.5 KHz from an antenna located at Mainflingen near Frankfurt/Main (Germany). The DCF77-Module is sold by Conrad-Electronic in Germany (DCF-Modul "WT 100 seriell").
This rpm packake build to set the time hourly from a cron script. See the manual page and the /etc/sysconfig/dcf77time file to set the parameters properly.

%prep
%setup -n dcf77time

%build
make "CFLAGS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -s -m700 dcf77time $RPM_BUILD_ROOT/usr/sbin
install -m644 dcf77time.1 $RPM_BUILD_ROOT/usr/man/man1
install -m755 $RPM_SOURCE_DIR/dcf77time.cron $RPM_BUILD_ROOT/etc/cron.hourly/dcf77time
install -m644 $RPM_SOURCE_DIR/dcf77time.sysconf $RPM_BUILD_ROOT/etc/sysconfig/dcf77time

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README*
/usr/sbin/dcf77time
/usr/man/man1/dcf77time.1
%config(missingok) /etc/sysconfig/dcf77time
%config(missingok) /etc/cron.hourly/dcf77time
